from django.urls import path
from . import views

app_name = 'courses'
urlpatterns = [
    path('', views.list_courses, name='list'),
    # Lesson detail: /courses/<course>/<module>/<lesson>/
    path('<slug:course_slug>/<slug:module_slug>/<slug:lesson_slug>/', views.lesson_detail, name='lesson_detail'),
    path('<slug:course_name>-<int:course_id>/', views.show, name="show"),
]